import React, { useState } from "react";
import { Link } from "react-router-dom";
import LanguageText from "components/common/languageText";
import AllProductMenu from "components/menus/allProducts";
import { apiPrefix, apiUrl } from "common/config";
import MenuCategories from "../../components/menus/menuCategories";

const HeaderNew = () => {
  const [showProduct, setShowProduct] = useState(false);

  const [showBrand, setShowBrand] = useState(false);

  const toggleAllProductDropdown = () => {
    if (showProduct == false) {
      setShowProduct(true);
    } else {
      setShowProduct(false);
    }
  };

  const toggleAllBrandDropdown = () => {
    if (showProduct == false) {
      setShowBrand(true);
    } else {
      setShowBrand(false);
    }
  };
  return (
    <div className="second-new-header">
      <ul className="nav">
        <li className="nav-item">
          <MenuCategories/>
        </li>
        <li className="nav-item">
          <Link to="/all-brand" className="nav-link">
            Brands
          </Link>
        </li>
        <li className="nav-item">
          <a className="nav-link" href="https://solutions.genx.ae/" target="_blank">
            Solutions
          </a>
        </li>
        <li className="nav-item">
          <Link to="/about/1" className="nav-link">
            About Us
          </Link>
        </li>
        <li className="nav-item">
          {/* <a
            className="nav-link"
            href={`${apiUrl}sell-on-genx`}
            target="_blank"
          >
            Sell on
          </a> */}
          <Link to="/sell-on-genx" className="nav-link">
            Sell On Gen-X
          </Link>
        </li>
      </ul>
    </div>
  );
};

export default HeaderNew;
